#### D.2.3.2 A_Z_L

Procedure from library `general.lib` (see general_lib).

Usage:
  A_Z_L("a",n); a any letter, n integer (-26<= n <=26, !=0)

Return:
  list of n small (if a is small) or capital (if a is capital) letters, beginning with a, in alphabetical
  order (or reverse alphabetical order if n<0)

Example:

    LIB "general.lib";
    A_Z_L("c",5);
    ==> [1]:
    ==>    c
    ==> [2]:
    ==>    d
    ==> [3]:
    ==>    e
    ==> [4]:
    ==>    f
    ==> [5]:
    ==>    g
    A_Z_L("Z",-5);
    ==> [1]:
    ==>    Z
    ==> [2]:
    ==>    Y
    ==> [3]:
    ==>    X
    ==> [4]:
    ==>    W
    ==> [5]:
    ==>    V
    ring r;
    list L=list(0,A_Z_L("A",6),list(list("dp",1:6),list("C",0)),ideal(0));
    ring R=ring(L);
    R;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 6
    ==> //        block   1 : ordering dp
    ==> //                  : names    A B C D E F
    ==> //        block   2 : ordering C

User manual for Singular version 4.4.1, 2025, generated by texi2html.